﻿@{Layout = "~/Views/Shared/_BlankLayout.cshtml"; }
@Html.Partial("_InvoiceByAirPartialScript")
@model SPEX.Models.mInvoice
@using (Html.BeginForm("", "CaseEdit", FormMethod.Post))
{
    <div class="content">
        <table width="100%">
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Invoice No";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 30%" colspan="3" align="left">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_CASE_INVOICE_NO";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.ClientEnabled = false;
                        settings.Properties.MaxLength = 15;
                    }).Bind(@Model.INVOICE_NO).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Case No";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%"  align="center">
                    :
                </td>
                <td style="width: 30%" colspan="3" align="left">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_CASE_CASE_NO";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.ClientEnabled = false;
                        settings.Properties.MaxLength = 8;
                    }).Bind(@Model.CASE_NO).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                    &nbsp
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Gross Weight";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 20%" align="left">
                    @Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_CASE_GROSS_WEIGHT";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.Properties.MaxLength = 6;
                        settings.Properties.MinValue = 0;
                        settings.Properties.DecimalPlaces = 0;
                        settings.Properties.DisplayFormatString = "###0";
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Integer;
                        settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).Bind((@Model.GROSS_WEIGHT.ToString("###0.0##").Split('.')[0]).ToString()).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 9%" align="left">
                    @Html.DevExpress().SpinEdit(
                      settings =>
                      {
                          settings.Name = "I_CASE_GROSS_WEIGHT_POINT";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 40;
                          settings.Properties.MaxLength = 1;
                          settings.Properties.MinValue = 0;
                          settings.Properties.DecimalPlaces = 0;
                          settings.Properties.DisplayFormatString = "###0";
                          settings.Properties.SpinButtons.Visible = false;
                          settings.Properties.SpinButtons.ShowIncrementButtons = false;
                          settings.Properties.NumberType = SpinEditNumberType.Integer;
                          settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                          //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                      }).Bind((@Model.GROSS_WEIGHT.ToString("###0.0##").Split('.')[1]).ToString()).GetHtml()
                </td>
                <td style="width: 5%" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "KGS";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 35%" align="left">
                    &nbsp
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Net Weight";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 20%" align="left">
                    @Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_CASE_NET_WEIGHT";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.Properties.MaxLength = 6;
                        settings.Properties.MinValue = 0;
                        settings.Properties.DecimalPlaces = 0;
                        settings.Properties.DisplayFormatString = "###0";
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Integer;
                        settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).Bind((@Model.NET_WEIGHT.ToString("###0.0##").Split('.')[0]).ToString()).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 9%" align="left">
                    @Html.DevExpress().SpinEdit(
                      settings =>
                      {
                          settings.Name = "I_CASE_NET_WEIGHT_POINT";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 40;
                          settings.Properties.MaxLength = 1;
                          settings.Properties.SpinButtons.Visible = false;
                          settings.Properties.SpinButtons.ShowIncrementButtons = false;
                          settings.Properties.NumberType = SpinEditNumberType.Integer;
                          settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                          //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                      }).Bind((@Model.NET_WEIGHT.ToString("###0.0##").Split('.')[1]).ToString()).GetHtml()
                </td>
                <td style="width: 5%" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "KGS";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 35%" align="left" align="left">
                    &nbsp
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Measurement";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 20%" align="left">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_CASE_MEASUREMENT";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.ClientEnabled = false;
                        settings.Properties.MaxLength = 8;
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).Bind((@Model.MEASUREMENT.ToString("###0.0##").Split('.')[0]).ToString()).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 9%" align="left">
                    @Html.DevExpress().TextBox(
                      settings =>
                      {
                          settings.Name = "I_CASE_MEASUREMENT_POINT";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 40;
                          settings.Properties.MaxLength = 3;
                          settings.ClientEnabled = false;
                          //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                      }).Bind((@Model.MEASUREMENT.ToString("###0.0##").Split('.')[1]).ToString()).GetHtml()
                </td>
                <td style="width: 5%" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "M3";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 35%" align="left">
                    &nbsp
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Lenght";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 20%" align="left">
                    @Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_CASE_LENGTH";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.Properties.MaxLength = 6;
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Integer;
                        settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).Bind((@Model.LENGTH.ToString("###0.0##").Split('.')[0]).ToString()).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 9%" align="left">
                    @Html.DevExpress().SpinEdit(
                      settings =>
                      {
                          settings.Name = "I_CASE_LENGTH_POINT";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 40;
                          settings.Properties.MaxLength = 1;
                          settings.Properties.SpinButtons.Visible = false;
                          settings.Properties.SpinButtons.ShowIncrementButtons = false;
                          settings.Properties.NumberType = SpinEditNumberType.Integer;
                          settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                          //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                      }).Bind((@Model.LENGTH.ToString("###0.0##").Split('.')[1]).ToString()).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Width";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 20%" align="left">
                    @Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_CASE_WIDTH";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.Properties.MaxLength = 6;
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Integer;
                        settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).Bind((@Model.WIDTH.ToString("###0.0##").Split('.')[0]).ToString()).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 9%" align="left">
                    @Html.DevExpress().SpinEdit(
                      settings =>
                      {
                          settings.Name = "I_CASE_WIDTH_POINT";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 40;
                          settings.Properties.MaxLength = 1;
                          settings.Properties.SpinButtons.Visible = false;
                          settings.Properties.SpinButtons.ShowIncrementButtons = false;
                          settings.Properties.NumberType = SpinEditNumberType.Integer;
                          settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                          //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                      }).Bind((@Model.WIDTH.ToString("###0.0##").Split('.')[1]).ToString()).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "*Height";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 20%" align="left">
                    @Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_CASE_HEIGHT";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.Properties.MaxLength = 6;
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Integer;
                        settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                    }).Bind((@Model.HEIGHT.ToString("###0.0##").Split('.')[0]).ToString()).GetHtml()
                </td>
                <td style="width: 1%">
                    .
                </td>
                <td style="width: 9%" align="left">
                    @Html.DevExpress().SpinEdit(
                      settings =>
                      {
                          settings.Name = "I_CASE_HEIGHT_POINT";
                          settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                          settings.Width = 40;
                          settings.Properties.MaxLength = 1;
                          settings.Properties.SpinButtons.Visible = false;
                          settings.Properties.SpinButtons.ShowIncrementButtons = false;
                          settings.Properties.NumberType = SpinEditNumberType.Integer;
                          settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                          //settings.Properties.ClientSideEvents.KeyPress = "I_CASE_NUM_OnKeyPress";
                      }).Bind((@Model.HEIGHT.ToString("###0.0##").Split('.')[1]).ToString()).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                </td>
            </tr>
            <tr>
                <td style="width: 25%;"  align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Amount";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 30%" align="left" colspan="3">
                    @Html.DevExpress().SpinEdit(
                    settings =>
                    {
                        settings.Name = "I_CASE_AMOUNT";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.ClientEnabled = false;
                        settings.Properties.DecimalPlaces = 3;
                        settings.Properties.SpinButtons.Visible = false;
                        settings.Properties.SpinButtons.ShowIncrementButtons = false;
                        settings.Properties.NumberType = SpinEditNumberType.Float;
                        //settings.Properties.ClientSideEvents.LostFocus = "TextLostFocus";
                        settings.Properties.DisplayFormatString = "##,##0.000";
                    }).Bind(@Model.AMOUNT).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                </td>
            </tr>
            <tr>
                <td style="width: 25%;" align="left">
                    @Html.DevExpress().Label(
                    label =>
                    {
                        label.Text = "Package Date";
                        label.Height = 25;
                    }).GetHtml()
                </td>
                <td style="width: 5%" align="center">
                    :
                </td>
                <td style="width: 30%" align="left" colspan="3">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_CASE_PACKAGE_DT";
                        settings.Properties.EnableClientSideAPI = true;
                        settings.Width = 100;
                        settings.ClientVisible = true;
                        settings.ClientEnabled = false; 
                        //settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    }).Bind(@Model.PACKAGE_DT!= null?((DateTime)@Model.PACKAGE_DT).ToString("dd.MM.yyyy"): "").GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td style="width: 35%">
                </td>
            </tr>
        </table>
    </div>
    <div class="content">
        <table>
            <tr align="right">
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdSaveCase";
                        button.Text = "Save";
                        //button.ClientSideEvents.Click = "function (s, e){OnUpdateSegment(" + ViewData["ContainerIndex"] + ");}";
                        button.ClientSideEvents.Click = "OnSaveCase";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                        //button.ClientEnabled = (!(bool)ViewData["IsNewData"]);
                    }
                    ).GetHtml()
                </td>
                <td style="width: 5%">
                </td>
                <td>
                    @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "cmdCancelCase";
                        button.Text = "Cancel";
                        button.ClientSideEvents.Click = "OnCancelCase";
                        button.Style.Add("display", "inline-table");
                        button.UseSubmitBehavior = false;
                    }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
}